@ECHO OFF
IF '%1'=='' GOTO :HELP
IF '%2'=='' GOTO :HELP

:ARGS
IF     '%3'=='ARGFILE' GOTO :ARGF
IF NOT '%3'==''        GOTO :RSH2

:NOARGS
NDADDNTF %1\NTSYSBRK.NTF @C=EXEC(FILENAME=%2)
GOTO :END

:ARGF
NDADDNTF %1\NTSYSBRK.NTF !%4
GOTO :END

:RSH2
ECHO @C=EXEC(FILENAME=%2 ARGS="%3 %4 %5 %6 %7 %8 %9") > N3RSH.TMP
NDADDNTF %1\NTSYSBRK.NTF !N3RSH.TMP
DEL N3RSH.TMP
GOTO :END

:HELP
ECHO REXEC client using NTG SYSTEM BROKER for DOS/WIN32 shell
ECHO Proprietary protocol convention
ECHO ----------------------------------------------------------------------
ECHO SYNTAX : NDREXEC SHARED_DIR FILE_CMD.EXE [ARGS]
ECHO SYNTAX : NDREXEC SHARED_DIR FILE_CMD.EXE [ARGFILE FILEARGS]
ECHO   NOTE : Convert '\' in '\\' and '"' in '\B' in FILE_CMD and ARGS,
ECHO        : (Not for FILEARGS, usa normal '\').
ECHO        : NDADDNTF.EXE and NTSYSBRK.EXE required in Path.
ECHO EXAMPLE: NDREXEC \\BBS\TEMP C:\\TEXTED.EXE C:\\AUTOEXEC.BAT
ECHO EXAMPLE: NDREXEC \\BBS\TEMP C:\\TEXTED.EXE ARGFILE C:\ARGS.DAT
ECHO Note   : Shared dir is winodws temp directory or a shared temp directory
ECHO          of a remote computer.
ECHO ----------------------------------------------------------------------
GOTO :END
:END

